Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.pki.x509
Interface CATool

All Known Implementing Classes:
  CAToolImpl

    public interface CATool

Method Summary
`java.security.cert.X509Certificate` | `getCertificate()`
`java.security.cert.X509Certificate` | `sign(java.lang.String CN, java.security.PublicKey key)`
`java.security.cert.X509Certificate` | `sign(java.lang.String CN, java.security.PublicKey publicKey, java.util.Date expiryDate, long serialNumber)`

Method Detail

### sign

    java.security.cert.X509Certificate sign(java.lang.String CN,
                                            java.security.PublicKey key)
                                            throws java.security.cert.CertificateParsingException,
                                                   java.security.cert.CertificateEncodingException,
                                                   java.security.InvalidKeyException,
                                                   java.lang.IllegalStateException,
                                                   java.security.NoSuchProviderException,
                                                   java.security.NoSuchAlgorithmException,
                                                   java.security.SignatureException

  Throws:
    `java.security.cert.CertificateParsingException`
    `java.security.cert.CertificateEncodingException`
    `java.security.InvalidKeyException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchProviderException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`

### sign

    java.security.cert.X509Certificate sign(java.lang.String CN,
                                            java.security.PublicKey publicKey,
                                            java.util.Date expiryDate,
                                            long serialNumber)
                                            throws java.security.cert.CertificateParsingException,
                                                   java.security.cert.CertificateEncodingException,
                                                   java.security.InvalidKeyException,
                                                   java.lang.IllegalStateException,
                                                   java.security.NoSuchProviderException,
                                                   java.security.NoSuchAlgorithmException,
                                                   java.security.SignatureException

  Throws:
    `java.security.cert.CertificateParsingException`
    `java.security.cert.CertificateEncodingException`
    `java.security.InvalidKeyException`
    `java.lang.IllegalStateException`
    `java.security.NoSuchProviderException`
    `java.security.NoSuchAlgorithmException`
    `java.security.SignatureException`

### getCertificate

    java.security.cert.X509Certificate getCertificate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.